/**
 * \file lcd.h
 *
 * \brief Explorer 16 LCD driver header file
 *
 * Copyright (c) 2016 Measurement Specialties. All rights reserved.
 *
 */

#ifndef __LCD_H__
#define __LCD_H__

#include <stdint.h>
#include <stdbool.h>
#include <stdio.h>
#include <stdlib.h>

#define DEGREE_CHAR     223
#define LCD_HEIGHT      2
#define LCD_WIDTH       16

#define lcd_printfxy(x, y, ...) lcd_set_position(x, y); lcd_printf(__VA_ARGS__)

void lcd_initialize(void);
void lcd_set_position(uint8_t x, uint8_t y);
void lcd_printf(char *fmt, ...);
void lcd_clear(void);

#endif /* __LCD_H__ */